# eric4.QScintilla.Lexers.LexerHTML

Module implementing a HTML lexer with some additional methods.

### Global Attributes

None

### Classes

LexerHTML | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerHTML

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerHTML, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerHTML | Constructor
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerHTML (Constructor)

LexerHTML(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerHTML.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerHTML.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerHTML.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up